<VirtualHost *:8080>
    ServerName localhost
    ServerAdmin kishan@kinesis.games

    ErrorLog /var/log/apache2/error.log
    CustomLog /var/log/apache2/access.log combined

    ProxyRequests Off
    ProxyPreserveHost On
    ProxyPass / http://127.0.0.1:9000/
    ProxyPassReverse / http://127.0.0.1:9000/

    RewriteEngine On
    RewriteCond %{HTTP:Upgrade} =websocket [NC]
    RewriteRule /(.*)           ws://127.0.0.1:9000/$1 [P,L]
    RewriteCond %{HTTP:Upgrade} !=websocket [NC]
    RewriteRule /(.*)           http://127.0.0.1:9000/$1 [P,L]
</VirtualHost>
